//----------------------------------------------------------------------------
//  Header: AliGoofieProcessROOTFiles.h, v 1.0                2009/10/20    //
//                                                                          //
//  Goofie ALICE Program Library                                            //
//  Copyright (C) ALICE collaboration, 2009                                 //
//                                                                          //
//  Last modified in CVS                                                    //
//  Author: D. Antonczyk                                                    //
//----------------------------------------------------------------------------

#ifndef ALIGOOFIEPROCESSROOTFILES
#define ALIGOOFIEPROCESSROOTFILES

#include <list>
 
class TString;
class AliGoofiePack;

class AliGoofieProcessROOTFiles
{
 public:
  static std::list<TString> *TakeListOfFiles(TString  *fpathName);
  static unsigned long GetTotalNumberOfPackForAnalysis(std::list<TString> *_FileList,
						       AliGoofiePack *_fpack, 
						       const int _PacksPerEvents=0);
};
#endif
